Skip to main content
GET
/
preview
/
marketing-solutions
/
campaigns
/
{campaign-id}
/preview/marketing-solutions/campaigns/{campaign-id}
curl --request GET \
  --url https://api.criteo.com/preview/marketing-solutions/campaigns/{campaign-id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "attributes": {
      "advertiserId": "<string>",
      "budgetAutomation": {
        "automatedBudgetConfiguration": {},
        "enabled": true
      },
      "id": "<string>",
      "name": "<string>",
      "spendLimit": {
        "spendLimitAmount": {
          "value": 123
        }
      }
    },
    "id": "<string>",
    "type": "Campaign"
  },
  "errors": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ],
  "warnings": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

campaign-id
string
required

ID of the marketing campaign; This field is required.

Response

200 - application/json

Returns the data of the specified marketing campaign.

Data model for response resource

data
object

Data model for a Resource

errors
object[] | null
read-only
warnings
object[] | null
read-only